<?php
// File: view_meetings.php

//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //

// load the main.php form XOOPS root
include 'header.php';

// module specific functions
include 'include/functions.php';

// set the template
$xoopsOption['template_main'] = 'abb_meeting_view.html';

include XOOPS_ROOT_PATH."/header.php";
$xoopsTpl->assign('mod_name', _MI_ABB_NAME);
$xoopsTpl->assign('page_title', _ABB_MEETINGS);
$xoopsTpl->assign('module_index', './');

$xoopsTpl->assign('lbl_meeting', _ABB_MEETING);
$xoopsTpl->assign('lbl_date', _COL_DATE);
$xoopsTpl->assign('lbl_city', _COL_CITY);
$xoopsTpl->assign('lbl_location', _COL_LOCATION);
$xoopsTpl->assign('lbl_homepage', _COL_HOMEPAGE);
$xoopsTpl->assign('lbl_email', _COL_EMAIL);

// --------- How many meetings are present
$cnt_meetings = getCounter('meetings');
$xoopsTpl->assign('cnt_meetings'   , $cnt_meetings);

// Read meeting info from DB if there is at least one
if ($cnt_meetings >= 1) {
	$result = $xoopsDB->query("SELECT * FROM " . $xoopsDB->prefix("abibase_meetings"));
	while ( $row = $xoopsDB->fetchArray($result) ) {
		$meetings[] = $row;		
	} // END while $result
	// pass data from DB to tempate
	$xoopsTpl->assign('meetings',  $meetings);
}


include XOOPS_ROOT_PATH."/footer.php";
?>