<?php
// File: view_meetings.php

//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //

// load the main.php form XOOPS root
include 'header.php';

// module specific functions
include 'include/functions.php';

// set the template
$xoopsOption['template_main'] = 'abb_teacher_view.html';

include XOOPS_ROOT_PATH."/header.php";
$xoopsTpl->assign('mod_name', _MI_ABB_NAME);
$xoopsTpl->assign('page_title', _ABB_TEACHERS);
$xoopsTpl->assign('module_index', './');

$xoopsTpl->assign('lbl_name',_COL_NAME);
$xoopsTpl->assign('lbl_title',_COL_TITLE);
$xoopsTpl->assign('lbl_courses',_COL_COURSES);

// --------- How many meetings are present
$cnt_teachers = getCounter('teachers');
$xoopsTpl->assign('cnt_teachers'   , $cnt_teachers);


// Read meeting info from DB if there is at least one
if ($cnt_teachers >= 1) {
	$result = $xoopsDB->query("SELECT * FROM " . $xoopsDB->prefix("abibase_teachers"));
	while ( $row = $xoopsDB->fetchArray($result) ) {
		$teachers[] = $row;
	} // END while $result
	// pass data from DB to tempate
	$xoopsTpl->assign('teachers',  $teachers);
}


include XOOPS_ROOT_PATH."/footer.php";
?>