<?php
//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
//  ------------------------------------------------------------------------ //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //

$modversion['name'] = _MI_ABB_NAME;
$modversion['version'] = 1;
$modversion['description'] = _MI_ABB_DESC;
$modversion['credits'] = "";
$modversion['author'] = "Mario Nenno<br>(www.nenno.it)";
$modversion['help'] = "";
$modversion['license'] = "GPL see LICENSE";
$modversion['official'] = 0;
$modversion['image'] = "img/abibase_slogo.png";
$modversion['dirname'] = "abibase";

//Admin things
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = "admin/index.php";
$modversion['adminmenu'] = "admin/menu.php";

// Menu ---------------------
$modversion['hasMain'] = 1;


// Sql file (must contain sql generated by phpMyAdmin or phpPgAdmin)
$modversion['sqlfile']['mysql'] = "sql/mysql.sql";

// Database tables created by sql file (without prefix!)
$modversion['tables'][0] = "abibase_meetings";
$modversion['tables'][1] = "abibase_school";
$modversion['tables'][2] = "abibase_students";
$modversion['tables'][3] = "abibase_teachers";

// Templates -------------------------------------------------------
$modversion['templates'][1]['file'] = 'abb_mainmenu.html';
$modversion['templates'][1]['description'] = 'AbiBase main menu';
// Meetings
$modversion['templates'][2]['file'] = 'abb_meeting_view.html';
$modversion['templates'][2]['description'] = 'AbiBase Meetings View';
// Teachers
$modversion['templates'][3]['file'] = 'abb_teacher_view.html';
$modversion['templates'][3]['description'] = 'AbiBase Teachers View';
// Students
// list of students
$modversion['templates'][4]['file'] = 'abb_students_view.html';
$modversion['templates'][4]['description'] = 'AbiBase Students View';
// info about single student
$modversion['templates'][5]['file'] = 'abb_student_data.html';
$modversion['templates'][5]['description'] = 'AbiBase Student Data View';

?>