<?php
// File: view_student.php

//  ------------------------------------------------------------------------ //
//                XOOPS - PHP Content Management System                      //
//                    Copyright (c) 2000 XOOPS.org                           //
//                       <http://www.xoops.org/>                             //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  You may not change or alter any portion of this comment or credits       //
//  of supporting developers from this source code or any supporting         //
//  source code which is considered copyrighted (c) material of the          //
//  original comment or credit authors.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
//  ------------------------------------------------------------------------ //

// load the main.php form XOOPS root
include 'header.php';

// set the template
$xoopsOption['template_main'] = 'abb_student_data.html';

include XOOPS_ROOT_PATH."/header.php";
$xoopsTpl->assign('mod_name', _MI_ABB_NAME);
$xoopsTpl->assign('page_title', _ABB_STUDENTS);
$xoopsTpl->assign('module_index', './');
$xoopsTpl->assign('link_students', 'view_students.php');

// field lables
$xoopsTpl->assign('lbl_firstname', _COL_FIRSTNAME);
$xoopsTpl->assign('lbl_lastname', _COL_LASTNAME);
$xoopsTpl->assign('lbl_lastnamenew', _COL_LASTNAMENEW);
$xoopsTpl->assign('lbl_title', _COL_TITLE);
$xoopsTpl->assign('lbl_street', _COL_STREET);
$xoopsTpl->assign('lbl_zip', _COL_ZIP);
$xoopsTpl->assign('lbl_city', _COL_CITY);
$xoopsTpl->assign('lbl_state', _COL_STATE);
$xoopsTpl->assign('lbl_countrycode', _COL_COUNTRYCODE);
$xoopsTpl->assign('lbl_homepage', _COL_HOMEPAGE);
$xoopsTpl->assign('lbl_emailprivate', _COL_EMAILPRIVATE);
$xoopsTpl->assign('lbl_emailwork', _COL_EMAILWORK);
$xoopsTpl->assign('lbl_phoneprivate', _COL_PHONEPRIVATE);
$xoopsTpl->assign('lbl_phoneparents', _COL_PHONEPARENTS);

$stud_id = ($_GET["id"]) ? $_GET["id"] : 0;
$xoopsTpl->assign('student_id',  $stud_id);

// Read meeting info from DB if there is at least one
if ($stud_id >= 0) {
	$sql = "SELECT * FROM " . $xoopsDB->prefix("abibase_students") ." WHERE stud_id= ". $stud_id;
	$result = $xoopsDB->query($sql);
	while ($row = $xoopsDB->fetchArray($result) ) {
		// pass array to tempate
		$xoopsTpl->assign('student',  $row);
	} // while
} // if $stud_id


include XOOPS_ROOT_PATH."/footer.php";
?>